
<form novalidate name="form" (ngSubmit)="completeEdit()" [formGroup]="formFood">
  <div class="flex-container chef-home-heading" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div FxFlex="30%" fxLayout='column'>
      <md-input-container>
        <input type="text" mdInput placeholder="Name" name="foodName" formControlName="foodName" (blur)="onBlurFoodName()" required />
        <md-error *ngIf="formFood.get('foodName').touched && formFood.get('foodName').hasError('required')">
          Food name required!
        </md-error>
      </md-input-container>
      <md-select placeholder="Select" name="foodType" formControlName="foodType">
      <md-option *ngFor="let food of foodsTypeListA" [value]="food.value">
        {{food.viewValue}}
      </md-option>
      </md-select>
    </div>
    <div FxFlex="30%" fxLayout='column'>
      <md-input-container>
        <textarea mdInput placeholder="Description" name="description" formControlName="description" required></textarea>
      </md-input-container>
    </div>
    <div FxFlex="30%" fxLayout='column'>
      <md-input-container>
        <input type="text" mdInput placeholder="Price" name="price" formControlName="price" (blur)="onBlurPrice()" required/>
        <md-error *ngIf="formFood.get('price').touched && formFood.get('price').hasError('required')">
          Food price required!
        </md-error>
      </md-input-container>
    </div>
    <div FxFlex="10%" fxLayout='column' fxLayoutAlign="space-between center">
      <span mdTooltip="Confirm the changes.">
        <button md-fab><md-icon><span class="material-icons">done</span></md-icon></button>
      </span>
      <span mdTooltip="Cancel the action.">
        <button md-mini-fab (click)="pressCancel()"><md-icon><span class="material-icons">clear</span></md-icon></button>
      </span>
    </div>
  </div>
</form>
